<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: TerminalColor Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>cpp20print</b></li><li class="navelem"><b>terminal</b></li><li class="navelem"><a class="el" href="structcpp20print_1_1terminal_1_1TerminalColor.html">TerminalColor</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">TerminalColor Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Defines constants for terminal escape sequences, which can be used to format color and weight of terminal fonts.  
 <a href="structcpp20print_1_1terminal_1_1TerminalColor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="terminalcolors_8h_source.html">terminalcolors.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for TerminalColor:</div>
<div class="dyncontent">
<div class="center"><img src="structcpp20print_1_1terminal_1_1TerminalColor__coll__graph.png" border="0" usemap="#TerminalColor_coll__map" alt="Collaboration graph"/></div>
<map name="TerminalColor_coll__map" id="TerminalColor_coll__map">
<area shape="rect" title="Defines constants for terminal escape sequences, which can be used to format color and weight of term..." alt="" coords="29,317,141,344"/>
<area shape="rect" title="STL class." alt="" coords="55,81,114,108"/>
<area shape="rect" title="STL class." alt="" coords="5,5,164,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a2de0630653b342ad1be13e8cb5642c85"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1terminal_1_1TerminalColor.html#a2de0630653b342ad1be13e8cb5642c85">get</a> (const <a class="el" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a>, const <a class="el" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a>=Weight::Default)</td></tr>
<tr class="memdesc:a2de0630653b342ad1be13e8cb5642c85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an escape sequence encoding a color and weight for formatting terminal output.  <a href="structcpp20print_1_1terminal_1_1TerminalColor.html#a2de0630653b342ad1be13e8cb5642c85">More...</a><br /></td></tr>
<tr class="separator:a2de0630653b342ad1be13e8cb5642c85"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a65e5fefc37d348fc18f34cdffc431542"><td class="memItemLeft" align="right" valign="top"><a id="a65e5fefc37d348fc18f34cdffc431542"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Reset</b> {&quot;\033[0m&quot; }</td></tr>
<tr class="separator:a65e5fefc37d348fc18f34cdffc431542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0ec72d36a1bd72d13d70620556a3ca0"><td class="memItemLeft" align="right" valign="top"><a id="aa0ec72d36a1bd72d13d70620556a3ca0"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Black</b> {&quot;\033[0m\033[30m&quot; }</td></tr>
<tr class="separator:aa0ec72d36a1bd72d13d70620556a3ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5873d36327104a4f6b363354eaabcf33"><td class="memItemLeft" align="right" valign="top"><a id="a5873d36327104a4f6b363354eaabcf33"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Red</b> {&quot;\033[0m\033[31m&quot; }</td></tr>
<tr class="separator:a5873d36327104a4f6b363354eaabcf33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a242ad6c028f8e6f077276c63c3b42365"><td class="memItemLeft" align="right" valign="top"><a id="a242ad6c028f8e6f077276c63c3b42365"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Green</b> {&quot;\033[0m\033[32m&quot; }</td></tr>
<tr class="separator:a242ad6c028f8e6f077276c63c3b42365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0244e420911cd5114149c746b0d68ac1"><td class="memItemLeft" align="right" valign="top"><a id="a0244e420911cd5114149c746b0d68ac1"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Yellow</b> {&quot;\033[0m\033[33m&quot; }</td></tr>
<tr class="separator:a0244e420911cd5114149c746b0d68ac1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72e139a9e4ac35eb3d6475ab15d098c0"><td class="memItemLeft" align="right" valign="top"><a id="a72e139a9e4ac35eb3d6475ab15d098c0"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Blue</b> {&quot;\033[0m\033[34m&quot; }</td></tr>
<tr class="separator:a72e139a9e4ac35eb3d6475ab15d098c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f0192cc2398f9f4d6a9613e3df43cd4"><td class="memItemLeft" align="right" valign="top"><a id="a7f0192cc2398f9f4d6a9613e3df43cd4"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Magenta</b> {&quot;\033[0m\033[35m&quot; }</td></tr>
<tr class="separator:a7f0192cc2398f9f4d6a9613e3df43cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf97b0db462432d5782087da2690c72b"><td class="memItemLeft" align="right" valign="top"><a id="adf97b0db462432d5782087da2690c72b"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Cyan</b> {&quot;\033[0m\033[36m&quot; }</td></tr>
<tr class="separator:adf97b0db462432d5782087da2690c72b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cc70853aae0f9e15426877fb37c6597"><td class="memItemLeft" align="right" valign="top"><a id="a2cc70853aae0f9e15426877fb37c6597"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>White</b> {&quot;\033[0m\033[37m&quot; }</td></tr>
<tr class="separator:a2cc70853aae0f9e15426877fb37c6597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a75be65de54bb1bc53f8cbc1864649e"><td class="memItemLeft" align="right" valign="top"><a id="a1a75be65de54bb1bc53f8cbc1864649e"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>BoldBlack</b> {&quot;\033[0m\033[1m\033[30m&quot;}</td></tr>
<tr class="separator:a1a75be65de54bb1bc53f8cbc1864649e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a608293dbde961483fcc85e93ac9d15ae"><td class="memItemLeft" align="right" valign="top"><a id="a608293dbde961483fcc85e93ac9d15ae"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>BoldRed</b> {&quot;\033[0m\033[1m\033[31m&quot;}</td></tr>
<tr class="separator:a608293dbde961483fcc85e93ac9d15ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a85fb2cc9e9abced302e8df706a36f4"><td class="memItemLeft" align="right" valign="top"><a id="a7a85fb2cc9e9abced302e8df706a36f4"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>BoldGreen</b> {&quot;\033[0m\033[1m\033[32m&quot;}</td></tr>
<tr class="separator:a7a85fb2cc9e9abced302e8df706a36f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad362be8ed3f032400a7a0b85c536e760"><td class="memItemLeft" align="right" valign="top"><a id="ad362be8ed3f032400a7a0b85c536e760"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>BoldYellow</b> {&quot;\033[0m\033[1m\033[33m&quot;}</td></tr>
<tr class="separator:ad362be8ed3f032400a7a0b85c536e760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b295284a1adcfee153fee7012319264"><td class="memItemLeft" align="right" valign="top"><a id="a4b295284a1adcfee153fee7012319264"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>BoldBlue</b> {&quot;\033[0m\033[1m\033[34m&quot;}</td></tr>
<tr class="separator:a4b295284a1adcfee153fee7012319264"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8a4faf69609d233ce5738c1d1de310b"><td class="memItemLeft" align="right" valign="top"><a id="ac8a4faf69609d233ce5738c1d1de310b"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>BoldMagenta</b> {&quot;\033[0m\033[1m\033[35m&quot;}</td></tr>
<tr class="separator:ac8a4faf69609d233ce5738c1d1de310b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48d5926da1ec0aa3f6cff02ea6bf8205"><td class="memItemLeft" align="right" valign="top"><a id="a48d5926da1ec0aa3f6cff02ea6bf8205"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>BoldCyan</b> {&quot;\033[0m\033[1m\033[36m&quot;}</td></tr>
<tr class="separator:a48d5926da1ec0aa3f6cff02ea6bf8205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab85b224221743dbe9ae0ae74f544e7b3"><td class="memItemLeft" align="right" valign="top"><a id="ab85b224221743dbe9ae0ae74f544e7b3"></a>
const static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>BoldWhite</b> {&quot;\033[0m\033[1m\033[37m&quot;}</td></tr>
<tr class="separator:ab85b224221743dbe9ae0ae74f544e7b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Defines constants for terminal escape sequences, which can be used to format color and weight of terminal fonts. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a2de0630653b342ad1be13e8cb5642c85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2de0630653b342ad1be13e8cb5642c85">&#9670;&nbsp;</a></span>get()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string get </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a>&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a>&#160;</td>
          <td class="paramname"><em>weight</em> = <code>Weight::Default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get an escape sequence encoding a color and weight for formatting terminal output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>specifies font color </td></tr>
    <tr><td class="paramname">weight</td><td>specifies font weight</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Escape sequence </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li>include/<a class="el" href="terminalcolors_8h_source.html">terminalcolors.h</a></li>
<li>src/terminal.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
